import { PropTypes } from 'prop-types';
import tagAttributeProps, { tagAttributePropsName } from "../../../propTypes/htmlAttributes.propTypes";
import customClassProps, { customClassPropName } from "../../../propTypes/customClassName.propTypes";
import automationProps, { automationPropsName } from "../../../propTypes/automation.propTypes";
import defaultCustomIds from "./Datebox.customIds";
import DateboxSkeleton from './Datebox.skeleton';
import dateboxConstants from './Datebox.constantProps';
export default {
  handleSelect: PropTypes.func,
  incremday: PropTypes.oneOfType([PropTypes.string, PropTypes.number]),
  userSeeMonth: PropTypes.number,
  userSeeYear: PropTypes.number,
  renderComponent: PropTypes.func,
  disabled: PropTypes.bool,
  onClick: PropTypes.func,
  ...customClassProps,
  ...automationProps,
  ...tagAttributeProps //  ...dateboxAriaProps

};
export const defaultProps = {
  size: dateboxConstants.size.medium,
  shape: dateboxConstants.shape.circle,
  color: dateboxConstants.color.dark,
  disabled: false,
  renderComponent: DateboxSkeleton,
  [automationPropsName]: defaultCustomIds,
  [customClassPropName]: {},
  [tagAttributePropsName]: {}
};
export const propsDescription = {};