function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import style from "./Datebox.module.css";
import getCompliedClassName from "../../../utils/getCompliedClassName";
import DateboxPropTypes, { defaultProps, propsDescription } from "./Datebox.propTypes";
import constantProps from "./Datebox.constantProps";
import getCompliedCustomId from "../../../utils/getCompliedCustomId";

function DateboxSkeleton(props) {
  const {
    customClassName,
    incremday,
    customId,
    isActive,
    onClick,
    tagAttributeProps,
    shape,
    size,
    color,
    disabled
  } = props;
  let dateClass = getCompliedClassName(customClassName, {
    [style.datesStr]: true,
    [style.today]: !!isActive,
    [style[size]]: !!size,
    [style[shape]]: !!shape,
    [style[color]]: !!color,
    [style.disabled]: !!disabled
  }, {
    [customClassName.base]: !!customClassName.base,
    [customClassName.active]: !!customClassName.active,
    [customClassName.shape]: !!customClassName.shape,
    [customClassName.color]: !!customClassName.color,
    [customClassName.hover]: !!customClassName.hover,
    [customClassName.disabled]: !!customClassName.disabled
  });
  return /*#__PURE__*/React.createElement("div", _extends({
    className: dateClass,
    onClick: onClick,
    dataId: getCompliedCustomId(props, customId.date)
  }, tagAttributeProps), incremday);
}

export default DateboxSkeleton;
DateboxSkeleton.propTypes = DateboxPropTypes;
DateboxSkeleton.defaultProps = defaultProps;
DateboxSkeleton.propsDescription = propsDescription;
DateboxSkeleton.constantProps = constantProps;