function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import getCompliedClassName from '../../../utils/getCompliedClassName';
import getCompliedCustomId from '../../../utils/getCompliedCustomId';
import style from './Month.module.css';

function MonthSkeleton(props) {
  const {
    month,
    isActive,
    displayText,
    hoverText,
    onClick,
    disabled,
    customId,
    customClassName,
    tagAttributeProps
  } = props;
  let monthClass = getCompliedClassName(customClassName, {
    [style.month]: true,
    [style.currentMonth]: !!isActive,
    [style.disabled]: !!disabled
  }, {
    [customClassName.active]: !!customClassName.active,
    [customClassName.shape]: !!customClassName.shape,
    [customClassName.hover]: !!customClassName.hover,
    [customClassName.disabled]: !!customClassName.disabled
  });
  return /*#__PURE__*/React.createElement("div", _extends({
    dataId: getCompliedCustomId(props, customId.month),
    className: monthClass,
    onClick: onClick,
    dataTitle: hoverText
  }, tagAttributeProps), displayText);
}

export default MonthSkeleton;