import { PropTypes } from 'prop-types';
import tagAttributeProps, { tagAttributePropsName } from "../../../propTypes/htmlAttributes.propTypes";
import customClassProps, { customClassPropName } from "../../../propTypes/customClassName.propTypes";
import automationProps, { automationPropsName } from "../../../propTypes/automation.propTypes";
import defaultCustomIds from "./Year.customIds";
import YearSkeleton from "./Year.skeleton";
export default {
  year: PropTypes.string,
  isActive: PropTypes.bool,
  onClick: PropTypes.func,
  eleRef: PropTypes.node,
  renderComponent: PropTypes.func,
  ...customClassProps,
  ...automationProps,
  ...tagAttributeProps
};
export const defaultProps = {
  disabled: false,
  renderComponent: YearSkeleton,
  [automationPropsName]: defaultCustomIds,
  [customClassPropName]: {},
  [tagAttributePropsName]: {}
};
export const propsDescription = {};