import React from 'react';
import Box from '../layout/Box';
import compileClassNames from '../../libraries/compileClassNames';
import style from './Dialog.module.css';
export default function Dialog(props) {
  const defaultCustomId = 'dialog';
  let {
    customClassName
  } = props;
  let customClass = compileClassNames({
    [style.container]: true
  }, {
    [customClassName]: !!customClassName
  });
  return /*#__PURE__*/React.createElement(Box, {
    align: "horizontal",
    dataId: defaultCustomId,
    className: customClass
  }, props.children);
}