import React from "react";
import PropTypes from "prop-types";
import styles from "./Stencil.module.css";
import componentCategories from "../../docs-utils/componentCategories";
import componentGroups from "../../docs-utils/componentGroups";
export default function Stencil(props) {
  let {
    size,
    style,
    shape,
    type,
    variant
  } = props;
  return /*#__PURE__*/React.createElement("span", {
    className: styles.stencil + " " + styles[size] + " " + styles[shape] + " " + styles[type] + " " + styles[variant]
  });
}
Stencil.defaultProps = {
  size: "md",
  shape: "",
  variant: "primary"
};

if (false) {
  Stencil.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}